Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemForEach

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemForEach

Direct Known Subclasses:
  ElemCallTemplate

public class ElemForEach
extends ElemTemplateElement

Implement xsl:for-each.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  for-each in XSLT Specification, Serialized Form

Field Summary
`boolean` | `m_doc_cache_off` This is set by an "xalan:doc-cache-off" pi.
`protected Expression` | `m_selectExpression` The "select" expression.
`protected java.util.Vector` | `m_sortElems` Vector containing the xsl:sort elements associated with this element.

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemForEach()` Construct a element representing xsl:for-each.

Method Summary
`ElemTemplateElement` | `appendChild(ElemTemplateElement newChild)` Add a child to the child list.
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`void` | `endCompose(StylesheetRoot sroot)` This after the template's children have been composed.
`void` | `execute(TransformerImpl transformer)` Execute the xsl:for-each transformation
`java.lang.String` | `getNodeName()` Return the node name.
`Expression` | `getSelect()` Get the "select" attribute.
`ElemSort` | `getSortElem(int i)` Get a xsl:sort element associated with this element.
`int` | `getSortElemCount()` Get the count xsl:sort elements associated with this element.
`protected ElemTemplateElement` | `getTemplateMatch()` Get template element associated with this
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `setSelect(XPath xpath)` Set the "select" attribute.
`void` | `setSortElem(ElemSort sortElem)` Set a xsl:sort element associated with this element.
`weblogic.apache.xml.dtm.DTMIterator` | `sortNodes(XPathContext xctxt, java.util.Vector keys, weblogic.apache.xml.dtm.DTMIterator sourceNodes)` Sort given nodes
`void` | `transformSelectedNodes(TransformerImpl transformer)` Perform a query if needed, and call transformNode for each child.

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_doc_cache_off

    public boolean m_doc_cache_off

  This is set by an "xalan:doc-cache-off" pi. It tells the engine that documents created in the location paths executed by this element will not be reparsed. It's set by StylesheetHandler during construction. Note that this feature applies _only_ to xsl:for-each elements in its current incarnation; a more general cache management solution is desperately needed.

### m_selectExpression

    protected Expression m_selectExpression

  The "select" expression.

### m_sortElems

    protected java.util.Vector m_sortElems

  Vector containing the xsl:sort elements associated with this element.

Constructor Detail

### ElemForEach

    public ElemForEach()

  Construct a element representing xsl:for-each.

Method Detail

### setSelect

    public void setSelect(XPath xpath)

  Set the "select" attribute.

  Parameters:
    `xpath` - The XPath expression for the "select" attribute.

### getSelect

    public Expression getSelect()

  Get the "select" attribute.

  Returns:
    The XPath expression for the "select" attribute.

### compose

    public void compose(StylesheetRoot sroot)
                 throws javax.xml.transform.TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition. NEEDSDOC @param sroot

  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    compose in class ElemTemplateElement

### endCompose

    public void endCompose(StylesheetRoot sroot)
                    throws javax.xml.transform.TransformerException

  This after the template's children have been composed.

  Overrides:
    endCompose in class ElemTemplateElement

### getSortElemCount

    public int getSortElemCount()

  Get the count xsl:sort elements associated with this element.

  Returns:
    The number of xsl:sort elements.

### getSortElem

    public ElemSort getSortElem(int i)

  Get a xsl:sort element associated with this element.

  Parameters:
    `i` - Index of xsl:sort element to get
  Returns:
    xsl:sort element at given index

### setSortElem

    public void setSortElem(ElemSort sortElem)

  Set a xsl:sort element associated with this element.

  Parameters:
    `sortElem` - xsl:sort element to set

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Returns:
    The element's name
  Overrides:
    getNodeName in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  Execute the xsl:for-each transformation

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemTemplateElement

### getTemplateMatch

    protected ElemTemplateElement getTemplateMatch()

  Get template element associated with this

  Returns:
    template element associated with this (itself)

### sortNodes

    public weblogic.apache.xml.dtm.DTMIterator sortNodes(XPathContext xctxt,
                                                         java.util.Vector keys,
                                                         weblogic.apache.xml.dtm.DTMIterator sourceNodes)
                                                  throws javax.xml.transform.TransformerException

  Sort given nodes

  Parameters:
    `xctxt` - The XPath runtime state for the sort.
    `keys` - Vector of sort keyx
    `sourceNodes` - Iterator of nodes to sort
  Returns:
    iterator of sorted nodes
  Throws:
    javax.xml.transform.TransformerException -

### transformSelectedNodes

    public void transformSelectedNodes(TransformerImpl transformer)
                                throws javax.xml.transform.TransformerException

  Perform a query if needed, and call transformNode for each child.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `template` - The owning template context.
  Throws:
    javax.xml.transform.TransformerException - Thrown in a variety of circumstances.

### appendChild

    public ElemTemplateElement appendChild(ElemTemplateElement newChild)

  Add a child to the child list.

  Parameters:
    `newChild` - Child to add to child list
  Returns:
    Child just added to child list
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference